<?php

class formWidgetWallOptions extends cmsForm {

    public function init() {

        return array(

            array(
                'type' => 'fieldset',
                'title' => LANG_OPTIONS,
                'childs' => array(
				
				
				
                new fieldList('options:profile_type', array(
                        'title' => 'Отображать',
                        'items' => array('user'=>'Стену пользователя','group'=>'Стену группы')
						)),
				
				
                new fieldList('options:profile_id', array(
                        'title' => 'Стена пользователя',
                        'generator' => function($item) {

                            $model = cmsCore::getModel('content');
                            $model->setTablePrefix('');
                            $users = $model->get('{users}');

                            $items = array();

                            if ($users) {
                                foreach ($users as $user) {

                                    $items[$user['id']] = $user['nickname'];

                                }
                            }

                            return $items;

                        },
                    )),    
					
				new fieldList('options:group_id', array(
                        'title' => 'Стена группы',
                        'generator' => function($item) {

                            $model = cmsCore::getModel('groups');
						    $model->setTablePrefix('');
                            $groups = $model->get('groups');

                            $items = array();

                            if ($groups) {
                                foreach ($groups as $group) {

                                    $items[$group['id']] = $group['title'];

                                }
                            }

                            return $items;

                        },
                    )),
					
					
                new fieldString('options:placeholder', array(
				       'title' => 'placeholder',
				       'default' => 'Написать на стене..',
				   )),		
                new fieldString('options:placeholder2', array(
				       'title' => 'placeholder 2',
				       'default' => 'Введите ваше сообщение',
				   )),
				   
				 new fieldHtml('options:content', array(
				       'title' => 'HTML блок в начале',
				   )),	
				   new fieldHtml('options:content2', array(
				       'title' => 'HTML блок в конце',
				   )),
					

                )
            )

        );

    }

}
